Loading...
Searching...
No Matches
libm2k::SETTINGS Struct Reference

Triggering system. More...

`#include <libm2k/enums.hpp>`

## Public Attributes

std::vector< M2K_TRIGGER_CONDITION_ANALOG > | analog_condition
| Analogical trigger's condition.
std::vector< M2K_TRIGGER_CONDITION_DIGITAL > | digital_condition
| Digital trigger's condition.
std::vector< int > | raw_level
| Trigger's raw level.
std::vector< double > | level
| Trigger's level.
std::vector< double > | hysteresis
| Trigger's hysteresis.
std::vector< M2K_TRIGGER_MODE > | mode
| Triggering mode.
M2K_TRIGGER_SOURCE_ANALOG | trigger_source
| Triggering source.
int | delay
| Trigger's delay.

## Detailed Description

Triggering system.

The documentation for this struct was generated from the following file:

- enums.hpp